> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryxlr8.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Reporting Experiments



## OpenAPI

````yaml /api-reference/openapi.json get /system-api/v1/reporting/experiments
openapi: 3.1.0
info:
  title: XLR8 System Reporting API
  description: >-
    Machine-facing experiment and analytics reporting under
    /system-api/v1/reporting/*. Authenticate with Authorization: Bearer <Unkey
    API key>. Access is limited to experiments in configured organization
    allowlists.
  version: 0.1.0
servers:
  - url: https://engine-mono-production.up.railway.app
    description: Production (Railway)
  - url: https://api.tryxlr8.ai
    description: Production (api.tryxlr8.ai)
security: []
paths:
  /system-api/v1/reporting/experiments:
    get:
      tags:
        - System
      summary: List Reporting Experiments
      operationId: list_reporting_experiments_system_api_v1_reporting_experiments_get
      parameters:
        - name: archived
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Archived
        - name: experiment_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ExperimentType'
              - type: 'null'
            title: Experiment Type
        - name: sort_by
          in: query
          required: false
          schema:
            type: string
            pattern: ^(created_at|name)$
            default: created_at
            title: Sort By
        - name: sort_order
          in: query
          required: false
          schema:
            type: string
            pattern: ^(asc|desc)$
            default: desc
            title: Sort Order
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExperimentList'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - UnkeyBearer: []
components:
  schemas:
    ExperimentType:
      type: string
      enum:
        - visibility
        - sentiment
      title: ExperimentType
    ExperimentList:
      properties:
        experiments:
          items:
            $ref: '#/components/schemas/ExperimentRead'
          type: array
          title: Experiments
      type: object
      required:
        - experiments
      title: ExperimentList
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExperimentRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        experiment_type:
          $ref: '#/components/schemas/ExperimentType'
        experiment_sub_type:
          $ref: '#/components/schemas/ExperimentSubType'
        company_name:
          type: string
          title: Company Name
        company_domain:
          type: string
          title: Company Domain
        company_aliases:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Company Aliases
        description:
          type: string
          title: Description
        category_map:
          additionalProperties:
            items:
              type: string
            type: array
          type: object
          title: Category Map
        query_set_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Query Set Id
        models:
          items:
            type: string
          type: array
          title: Models
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        country:
          anyOf:
            - type: string
              pattern: ^\w{2}$
            - type: 'null'
          title: Country
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        schedule_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Schedule Id
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config
        organization_id:
          type: string
          title: Organization Id
        created_by:
          type: string
          title: Created By
        is_archived:
          type: boolean
          title: Is Archived
        is_pinned:
          type: boolean
          title: Is Pinned
        first_execution_created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Execution Created At
        last_execution_created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Execution Created At
        schedule:
          anyOf:
            - $ref: '#/components/schemas/ScheduleRead'
            - type: 'null'
      type: object
      required:
        - id
        - created_at
        - updated_at
        - experiment_type
        - experiment_sub_type
        - company_name
        - company_domain
        - company_aliases
        - description
        - category_map
        - models
        - organization_id
        - created_by
        - is_archived
        - is_pinned
      title: ExperimentRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ExperimentSubType:
      type: string
      enum:
        - discovery
        - informational
        - competitor_alternatives
        - competitor_comparison
        - brand_sentiment
      title: ExperimentSubType
    ScheduleRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        schedule_frequency:
          $ref: '#/components/schemas/ScheduleFrequency'
        is_active:
          type: boolean
          title: Is Active
          default: true
        next_run_date:
          type: string
          format: date-time
          title: Next Run Date
        organization_id:
          type: string
          title: Organization Id
        created_by:
          type: string
          title: Created By
        last_run_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Run Date
      type: object
      required:
        - id
        - created_at
        - updated_at
        - schedule_frequency
        - next_run_date
        - organization_id
        - created_by
      title: ScheduleRead
    ScheduleFrequency:
      type: string
      enum:
        - DAILY
        - WEEKLY
        - BIWEEKLY
        - MONTHLY
      title: ScheduleFrequency
  securitySchemes:
    UnkeyBearer:
      type: http
      scheme: bearer
      description: Unkey-issued API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.